> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List auths

> Returns a paginated list of auths in a gateway.



## OpenAPI

````yaml /trustgate/api/openapi.json get /v1/gateways/{gateway_id}/auths
openapi: 3.0.0
info:
  description: >-
    Administrative API for managing gateways and their registries, policies,
    consumers, roles and auth credentials.
  title: TrustGate Admin API
  contact:
    name: NeuralTrust
    url: https://neuraltrust.ai/contact
    email: support@neuraltrust.ai
  version: '1.0'
servers:
  - url: /
security: []
paths:
  /v1/gateways/{gateway_id}/auths:
    get:
      tags:
        - auths
      summary: List auths
      description: Returns a paginated list of auths in a gateway.
      parameters:
        - description: Gateway id
          name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - description: 'Substring match on name (alias: name)'
          name: search
          in: query
          schema:
            type: string
        - description: Alias of search
          name: name
          in: query
          schema:
            type: string
        - description: Filter by auth type (api_key, oauth2, oidc, mtls)
          name: type
          in: query
          schema:
            type: string
        - description: Filter by enabled flag
          name: enabled
          in: query
          schema:
            type: boolean
        - description: Sort field (name, created_at, updated_at, type)
          name: sort
          in: query
          schema:
            type: string
        - description: Sort order (asc, desc)
          name: order
          in: query
          schema:
            type: string
        - description: Page number (1-based)
          name: page
          in: query
          schema:
            type: integer
        - description: Page size
          name: size
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.ListAuthResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_httpio.ErrorBody
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_httpio.ErrorBody
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_httpio.ErrorBody
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.ListAuthResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.AuthResponse
        page:
          type: integer
        size:
          type: integer
        total:
          type: integer
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_httpio.ErrorBody:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.AuthResponse:
      type: object
      properties:
        api_key:
          description: '#nosec G101'
          type: string
        config:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.ConfigResponse
        created_at:
          type: string
        enabled:
          type: boolean
        gateway_id:
          type: string
        id:
          type: string
        key_prefix:
          description: >-
            Non-secret recognition hint for api_key auths (e.g. "ag_3dlXk" +
            "Rv8Q").
          type: string
        key_suffix:
          type: string
        name:
          type: string
        type:
          type: string
        updated_at:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.ConfigResponse:
      type: object
      properties:
        mtls:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.MTLSConfigResponse
        oauth2:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.OAuth2ConfigResponse
        oidc:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.OIDCConfigResponse
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.MTLSConfigResponse:
      type: object
      properties:
        allowed_common_names:
          type: array
          items:
            type: string
        allowed_dns_names:
          type: array
          items:
            type: string
        allowed_fingerprints:
          type: array
          items:
            type: string
        ca_cert:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.OAuth2ConfigResponse:
      type: object
      properties:
        allowed_algorithms:
          type: array
          items:
            type: string
        audiences:
          type: array
          items:
            type: string
        authorize_url:
          type: string
        client_id:
          type: string
        client_secret:
          type: string
        introspection_url:
          type: string
        issuer:
          type: string
        jwks_url:
          type: string
        required_scopes:
          type: array
          items:
            type: string
        session_mode:
          type: boolean
        subject_claim:
          type: string
        token_url:
          type: string
        userinfo_url:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_auth_response.OIDCConfigResponse:
      type: object
      properties:
        allowed_algorithms:
          type: array
          items:
            type: string
        audiences:
          type: array
          items:
            type: string
        issuer:
          type: string
        jwks_url:
          type: string
        public_keys:
          type: array
          items:
            type: string
        required_scopes:
          type: array
          items:
            type: string
        subject_claim:
          type: string
  securitySchemes:
    BearerAuth:
      type: apiKey
      name: Authorization
      in: header

````